<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>&lt;my-element> Demo</title>

  <script type="module" src="../build/jmc-stop-summary.js"></script>
<script type="module" src="../build/jmc-trailer-summary.js"></script>

  <style>
    * {
      font-family: sans-serif;
    }
  </style>
</head>
<body>
  <h1>This is component [jmc-stop-summary] </h1>
  <jmc-stop-summary id="stop-example-01"></jmc-stop-summary>
  
  <h1>This is component [jmc-trailer-summary] </h1>
  <jmc-trailer-summary id="trailer-example-01"></jmc-trailer-summary>

  <script>
    document.querySelector(`#stop-example-01`).stop = {
      //name: "Brian is awesome"
    },

    document.querySelector(`#trailer-example-01`).trailer = {
      "driverCall": true,
      "driverWaiting": null,
      "_id": "60a578781eab3800389e5a0f",
      "poType": "GM",
      "trailerNumber": "12345",
      "truckNumber": "5555",
      "shovelingTechId": "607605eb322fd115a190e868",
      "startTime": "2021-05-19T20:42:38.860Z",
      "endTime": "2021-05-19T20:43:17.846Z",
      "snowConditionsId": "60a3e15027f7ed1d677ff3c8",
      "iceConditionsId": "60a3e26027f7ed1d677ff3d0",
      "notes": "This was an easy one.",
      "serviceLogStopId": "60a578331eab3800389e5a0e",
      "createdAt": "2021-05-19T20:43:36.016Z",
      "updatedAt": "2021-05-19T20:43:36.016Z",
      "__v": 0,
      "shovelingTech": {
          "roles": [
              "admin",
              "tech"
          ],
          "_id": "607605eb322fd115a190e868",
          "email": "bcreeve@gmail.com",
          "firstName": "Brian",
          "lastName": "Reeve",
          "createdAt": "2021-04-13T20:58:20.239Z",
          "updatedAt": "2021-04-21T22:40:09.964Z",
          "__v": 0
      },
      "snowConditions": {
          "_id": "60a3e15027f7ed1d677ff3c8",
          "label": "Less than 6\"",
          "defaultPrice": 0,
          "createdAt": "2021-05-18T15:46:24.311Z",
          "updatedAt": "2021-05-18T15:46:24.311Z",
          "__v": 0
      },
      "iceConditions": {
          "_id": "60a3e26027f7ed1d677ff3d0",
          "label": "Less than 1/2\" thick",
          "defaultPriceNoSnow": 0,
          "defaultPriceWithSnow": 25,
          "createdAt": "2021-05-18T15:50:56.916Z",
          "updatedAt": "2021-05-18T15:50:56.916Z",
          "__v": 0
      },
      "id": "60a578781eab3800389e5a0f"
    }
  </script>
</body>
</html>
